Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbrain.qlink.state
Class SuperChat

    java.lang.Object
      |
      +--org.jbrain.qlink.state.AbstractState
            |
            +--org.jbrain.qlink.state.AbstractChatState
                  |
                  +--org.jbrain.qlink.state.Chat
                        |
                        +--org.jbrain.qlink.state.SuperChat

All Implemented Interfaces:
  QState

public class SuperChat
extends Chat

Field Summary

Fields inherited from class org.jbrain.qlink.state.AbstractChatState
`_listener, _room, pad`

Fields inherited from class org.jbrain.qlink.state.AbstractState
`_session`

Constructor Summary
`SuperChat(QSession session)`

Method Summary
`boolean` | `execute(Action a)`
`protected void` | `process(java.lang.String text)`
`protected void` | `sendRoomInfo(QSeat[] seats)`
`protected void` | `showSeats(QSeat[] seats, boolean b)`

Methods inherited from class org.jbrain.qlink.state.Chat
`activate, enterRoom, terminate`

Methods inherited from class org.jbrain.qlink.state.AbstractChatState
`addListener, getProfile, leaveRoom, sendUserList`

Methods inherited from class org.jbrain.qlink.state.AbstractState
`checkEmail, getName, passivate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SuperChat

    public SuperChat(QSession session)

Parameters:
  `session` -

Method Detail

### execute

    public boolean execute(Action a)
                    throws java.io.IOException

  Specified by:
    `execute` in interface `QState`
  Overrides:
    `execute` in class `Chat`
    `java.io.IOException`

### sendRoomInfo

    protected void sendRoomInfo(QSeat[] seats)

  Overrides:
    `sendRoomInfo` in class `Chat`

### showSeats

    protected void showSeats(QSeat[] seats,
                             boolean b)

  Overrides:
    `showSeats` in class `AbstractChatState`
  Returns:

### process

    protected void process(java.lang.String text)
                    throws java.io.IOException

  Overrides:
    `process` in class `AbstractChatState`
  Parameters:
    `text` -
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD